NodeTool.NodeToolCmd.KeyspaceSet (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.tools

## Enum NodeTool.NodeToolCmd.KeyspaceSet

- java.lang.Object
- - java.lang.Enum<NodeTool.NodeToolCmd.KeyspaceSet>
  - - org.apache.cassandra.tools.NodeTool.NodeToolCmd.KeyspaceSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NodeTool.NodeToolCmd.KeyspaceSet>
  Enclosing class:
    NodeTool.NodeToolCmd

      protected static enum NodeTool.NodeToolCmd.KeyspaceSet
      extends java.lang.Enum<NodeTool.NodeToolCmd.KeyspaceSet>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `NON_LOCAL_STRATEGY`
    `NON_SYSTEM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeTool.NodeToolCmd.KeyspaceSet` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NodeTool.NodeToolCmd.KeyspaceSet[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final NodeTool.NodeToolCmd.KeyspaceSet ALL

    - #### NON_SYSTEM

          public static final NodeTool.NodeToolCmd.KeyspaceSet NON_SYSTEM

    - #### NON_LOCAL_STRATEGY

          public static final NodeTool.NodeToolCmd.KeyspaceSet NON_LOCAL_STRATEGY

  - ### Method Detail

    - #### values

          public static NodeTool.NodeToolCmd.KeyspaceSet[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeTool.NodeToolCmd.KeyspaceSet c : NodeTool.NodeToolCmd.KeyspaceSet.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeTool.NodeToolCmd.KeyspaceSet valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation